
TYPO3.Flow - Bug # 2557

Status: Resolved Priority: Must have
Author: Robert Lemke Category: MVC
Created: 2009-02-04 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Links rendered by the Router ignore application context
Description

If the application context is != production, the URL usually includes the index_*.php segment:
http://myhost/index_dev.php/foo/bar/baz

The script filename is, however, removed in rendered links which leads to a context switch:
http://myhost/foo/bar/baz

Related issues:
related to TYPO3.Flow - Bug # 2751: Routing: generated links must keep index.... Resolved 2009-03-03

Associated revisions
Revision a36605e9 - 2009-02-25 17:06 - Karsten Dambekalns
FLOW3:
    -  the route() method now strips index*.php from the request URI if present, refs #2557
FLOW3, TYPO3v5 & Blog Distributions:
    -  adjusted index.php so it uses FLOW3_CONTEXT from environment if set
    -  adjusted .htaccess

Revision ee2b88c8 - 2009-02-25 17:11 - Karsten Dambekalns
FLOW3:
    -  the route() method now strips index*.php from the request URI if present, refs #2557
FLOW3, TYPO3v5 & Blog Distributions:
    -  adjusted index.php so it uses FLOW3_CONTEXT from environment if set
    -  adjusted .htaccess

Revision 4ef766f5 - 2009-02-25 17:11 - Karsten Dambekalns
FLOW3:
    -  the route() method now strips index*.php from the request URI if present, refs #2557
FLOW3, TYPO3v5 & Blog Distributions:
    -  adjusted index.php so it uses FLOW3_CONTEXT from environment if set
    -  adjusted .htaccess

Revision c1df49a2 - 2009-03-03 15:19 - Karsten Dambekalns
FLOW3:
    -  changed request URI handling, fixes #2557
Revision 49ce65e7 - 2009-03-03 15:19 - Karsten Dambekalns
FLOW3:
    -  changed request URI handling, fixes #2557

History
#1 - 2009-02-04 20:45 - Karsten Dambekalns

Also the routing has hard-coded support only for index_dev.php, other contexts are not supported.

It would be nice to switch the context depending on an environment variable, this would be very useful for CLI calls. And Apache can set the
environment variable as part of a rewrite rule, so that FLOW3 never sees the "URL-encoding" of the context. Hm, something like that.

#2 - 2009-03-03 15:17 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#3 - 2009-03-03 16:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1967.
